# Class Svg

java.lang.Object
org.snpeff.svg.Svg

Direct Known Subclasses:
  `SvgBnd, SvgCds, SvgExon, SvgGene, SvgIntron, SvgNextProt, SvgScale, SvgSpacer, SvgTranscript, SvgTranslocation`

public class Svg extends Object
Create an SVG representation of a Marker

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`
`static final int`
`DEFAULT_BASE_Y`
`static final int`
`DEFAULT_SIZE_X`
`static final int`
`DEFAULT_SIZE_Y`
`static final String`
`LINE_COLOR_STROKE`
`static final int`
`LINE_STROKE_WIDTH`
`static final String`
`RECT_COLOR_FILL`
`static final String`
`RECT_COLOR_STROKE`
`static final int`
`RECT_HEIGHT`
`static final int`
`RECT_STROKE_WIDTH`
`static final int`
`TEXT_SIZE`
`static final String`
`TEXT_STYLE`

## Constructor Summary

Constructors
Constructor
Description
`Svg()`
`Svg(Marker m, Svg svg)`

## Method Summary

Modifier and Type
Method
Description
`String`
`close()`
`static Svg`
`factory(Marker m, Svg svg)`
`String`
`hline(int y)`
`String`
`id()`
`String`
`marker()`
`String`
`markerId()`
`String`
`open()`
`String`
`rectangle()`
`String`
`rectangle(double x, double y, double w, double h, boolean empty)`
`void`
`setBaseY(int baseY)`
`String`
`text(double x, double y, String str)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_SIZE_X

public static final int DEFAULT_SIZE_X

See Also:
  - Constant Field Values

### DEFAULT_SIZE_Y

public static final int DEFAULT_SIZE_Y

See Also:
  - Constant Field Values

### DEFAULT_BASE_Y

public static final int DEFAULT_BASE_Y

See Also:
  - Constant Field Values

### LINE_COLOR_STROKE

public static final String LINE_COLOR_STROKE

See Also:
  - Constant Field Values

### LINE_STROKE_WIDTH

public static final int LINE_STROKE_WIDTH

See Also:
  - Constant Field Values

### RECT_COLOR_FILL

public static final String RECT_COLOR_FILL

See Also:
  - Constant Field Values

### RECT_COLOR_STROKE

public static final String RECT_COLOR_STROKE

See Also:
  - Constant Field Values

### RECT_HEIGHT

public static final int RECT_HEIGHT

See Also:
  - Constant Field Values

### RECT_STROKE_WIDTH

public static final int RECT_STROKE_WIDTH

See Also:
  - Constant Field Values

### TEXT_SIZE

public static final int TEXT_SIZE

See Also:
  - Constant Field Values

### TEXT_STYLE

public static final String TEXT_STYLE

See Also:
  - Constant Field Values

### debug

public static boolean debug

## Constructor Details

### Svg

public Svg()

### Svg

public Svg(Marker m, Svg svg)

## Method Details

### factory

public static Svg factory(Marker m, Svg svg)

### close

public String close()

### hline

public String hline(int y)

### id

public String id()

### marker

public String marker()

### markerId

public String markerId()

### open

public String open()

### rectangle

public String rectangle()

### rectangle

public String rectangle(double x, double y, double w, double h, boolean empty)

### setBaseY

public void setBaseY(int baseY)

### text

public String text(double x, double y, String str)

### toString

public String toString()

Overrides:
  `toString` in class `Object`